Name:		pbzip2
Version:	1.1.2
Release:	1
Summary:	Parallel implementation of bzip2
URL:		http://www.compression.ca/pbzip2/
License:	BSD
Group:		Applications/File
Source0:	http://www.compression.ca/pbzip2/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	bzip2 >= 1.0.2, make
Requires:	bzip2 >= 1.0.2

%description
PBZIP2 is a parallel implementation of the bzip2 block-sorting file
compressor that uses pthreads and achieves near-linear speedup on SMP
machines.  The output of this version is fully compatible with bzip2
v1.0.2 or newer (ie: anything compressed with pbzip2 can be 
decompressed with bzip2).


%prep
%setup -q
%patch0


%build
gmake


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

cp %{name} ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cd ${RPM_BUILD_ROOT}%{_bindir}
ln -sf ./%{name} pbunzip2

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Sat Feb 19 2011 Michael Perzl <michael@perzl.org> - 1.1.2-1
- updated to version 1.1.2

* Tue Apr 20 2010 Michael Perzl <michael@perzl.org> - 1.1.1-1
- updated to version 1.1.1

* Mon Mar 22 2010 Michael Perzl <michael@perzl.org> - 1.1.0-1
- updated to version 1.1.0

* Fri Jan 16 2009 Michael Perzl <michael@perzl.org> - 1.0.5-1
- updated to version 1.0.5

* Mon Dec 22 2008 Michael Perzl <michael@perzl.org> - 1.0.4-1
- updated to version 1.0.4

* Tue Nov 04 2008 Michael Perzl <michael@perzl.org> - 1.0.3-1
- first version for AIX5L v5.1 and higher
